Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 716511 - PRD35 - [RFE] support discovery of existing virtual machines on RHEV storage
Summary: PRD35 - [RFE] support discovery of existing virtual machines on RHEV storage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.5.0
Assignee: Maor
QA Contact: Ori Gofen
URL: http://www.ovirt.org/Features/ImportS...
Whiteboard: storage
: 1015321 1025788 1029801 1063269 (view as bug list)
Depends On: 1083307 1122998 1133303 1136750 1136840 1136902 1169511
Blocks: 1123976 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2011-06-24 17:11 UTC by James Rankin
Modified: 2019-03-22 07:02 UTC (History)
30 users (show)

Fixed In Version: ovirt-engine-3.5.0_beta1
Doc Type: Release Note
Doc Text:
Red Hat Enterprise Virtualization 3.5 provides support for migrating storage domains amongst different Red Hat Enterprise Virtualization data centers or different deployments. This functionality allows the transfer of virtual machines between setups without the need to copy the data into and out of an export domain, or the need to recover after the loss of an engine database. Also see BZ#920708 for the REST API implementation.
Clone Of:
: 1083307 (view as bug list)
Environment:
Last Closed: 2015-02-11 17:49:26 UTC
oVirt Team: Storage
Target Upstream Version:
pmukhedk: needinfo-
scohen: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 29021 None None None Never
oVirt gerrit 29022 None None None Never
oVirt gerrit 29315 None None None Never

Description James Rankin 2011-06-24 17:11:02 UTC
Description of problem:
In RHEV 2.2, a complete loss of the RHEV-M database is impactful, in that a customer can't manually discover or add existing virtual machines on a RHEV storage domain. Customers instead need to engage GSS, who I understand has a procedure to recover and add virtual machines.

The desired behavior would be to instead allow RHEV-M a means to browse existing storage domains, and import or add existing virtual machines.

The workflow would involve installing a new RHEV-M (assuming the previous manager and database were destroyed with no backup), adding the hosts, importing previously used storage domains, and then either automatically discovering existing virtual machines OR providing the admin a way to browse the storage domain and select VMs to add to the new RHEV-M inventory.

Comment 5 Ayal Baron 2012-04-10 11:53:31 UTC
*** Bug 705258 has been marked as a duplicate of this bug. ***

Comment 11 David Jaša 2013-09-10 11:58:23 UTC
IIRC, the biggest roadblock used to be discovery and identification of new/existing objects on SD - but that was fixed in 3.2 (bug 886133).

Comment 12 Ayal Baron 2013-12-03 16:07:40 UTC
*** Bug 1015321 has been marked as a duplicate of this bug. ***

Comment 13 Itamar Heim 2014-01-23 11:10:30 UTC
*** Bug 1029801 has been marked as a duplicate of this bug. ***

Comment 14 Sean Cohen 2014-01-30 14:30:23 UTC
*** Bug 1025788 has been marked as a duplicate of this bug. ***

Comment 16 Ayal Baron 2014-02-11 08:31:30 UTC
*** Bug 1063269 has been marked as a duplicate of this bug. ***

Comment 19 Julie 2014-09-17 14:31:04 UTC
hi Maor,
 This bug has been flagged for release notes. Please select the correct Doc Type and provide the doc text ASAP for this bug to make it in the 3.5 Beta Manager Release Notes. If this bug is not required for release notes, please set the require_release_note flag to -.

Cheers,
Julie

Comment 20 Ori Gofen 2014-11-20 15:11:56 UTC
Julie can you please provide doc ack for this bug or know who provides it, as I want to run the final tests and verify soon after BZ #1136902 dependence is cleared

Comment 21 Julie 2014-11-21 05:46:25 UTC
(In reply to Ori Gofen from comment #20)
> Julie can you please provide doc ack for this bug or know who provides it,
> as I want to run the final tests and verify soon after BZ #1136902
> dependence is cleared

Hi Ori,
   Thanks for looping me in. As you can see in the email thread I forwarded you, the feature documentation is currently blocked as the docs team is running into errors when testing the feature out. If anyone can provide more insight, please reach out to Andrew Dahms (adahms@redhat.com). 

If you are only referring to the doc text/release note flag part for this bug, it has been added to the 3.5 Beta Release Notes already:
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.5-Beta/html/Manager_Release_Notes/Storage_Features3.html

and I've pasted back the doc text in the doc text field of this bug. Bugzilla will automatically set the flag to +.

Kind regards,
Julie

Comment 22 Ori Gofen 2014-11-23 09:30:49 UTC
I have seen it, please Have them ping me with problems such as they've encountered, as it could very well may be bugs.

please be aware to the documented gaps:
1) import a domain which  originally created on previous versions (V < 3.5) is        not yet supported.
2) detach attach(or import) domain as a master domain is not yet supported.
3) glusterfs is not yet supported
4) import entities with objects on mixed storage domains is not yet supported

**
please be aware of engine-config OvfUpdateIntervalInMinutes is set to a couple of minutes so the entities created will be updated during a reasonable interval 
**
If it's possible, I would like you'r team to attach those logs here with the correct flow of execution.

thanx a bunch for the mail, I have learned from it that the documentation probably isn't good enough.

Maor, just making sure that you read this.

Comment 23 Maor 2014-11-23 10:49:21 UTC
(In reply to Ori Gofen from comment #22)
> I have seen it, please Have them ping me with problems such as they've
> encountered, as it could very well may be bugs.
> 
> please be aware to the documented gaps:
> 1) import a domain which  originally created on previous versions (V < 3.5)
> is        not yet supported.

This will not be supported since the OVF_STORE disk is a crucial entity for the recovery process. and OVF_STORE feature is only supported in 3.5 Data Centers

> 2) detach attach(or import) domain as a master domain is not yet supported.

This will not be supported for 3.5, but the plan is that a CDA message should be performed when trying to do so (see http://gerrit.ovirt.org/#/c/34239/)

> 3) glusterfs is not yet supported

should be supported, Import of a glusterfs data Storage is documented at http://www.ovirt.org/Features/ImportStorageDomain#Work_flow_for_importing_GlusterFS_Storage_Domain_-_UI_flow

> 4) import entities with objects on mixed storage domains is not yet supported

import of VMs/Templates with disks residing on Multiple Storage Domain is supported and can be imported while the Storage Domains are valid and active.

> 
> **
> please be aware of engine-config OvfUpdateIntervalInMinutes is set to a
> couple of minutes so the entities created will be updated during a
> reasonable interval 
> **
> If it's possible, I would like you'r team to attach those logs here with the
> correct flow of execution.
> 
> thanx a bunch for the mail, I have learned from it that the documentation
> probably isn't good enough.
> 
> Maor, just making sure that you read this.

I still waiting for the logs of Andrew to investigate what was happened.

Hi Andrew, Are there any news with the engine/vdsm logs?
Can you please describe the reproduce steps and the error which you got?

Thanks

Comment 24 Andrew Dahms 2014-11-24 06:20:39 UTC
Hi Maor,

Thank you for raising the needinfo request!

I have done some testing today, and have had a little success. I will work with the feature a little more and see what I can document.

I will have some content for you to review soon, or will provide further information on any issues I encounter as soon as I can.

Kind regards,

Andrew

Comment 27 errata-xmlrpc 2015-02-11 17:49:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.